# Understanding HDX Metadata

This page explains the main metadata fields available for download on each HDX dataset page. This is available in either JSON or CSV formats.

Metadata is data that defines and describes data. There are two types of metadata schemas used on HDX:

* **Dataset schema:** Describing the entire dataset. We define datasets on HDX as the main unit or container describing data on HDX.&#x20;
* **Resource schema:** Describing the resources within a dataset. A resource is a sub-container within a dataset. A resource can contain files such as a CSV file, Excel spreadsheet, or PDF document.

## Dataset Metadata Schema

| **Dataset ID**                 | Unique identification number for each dataset.                                           | id                      | Text                                                                                                                                                                                                                                                                                                                                 |
| ------------------------------ | ---------------------------------------------------------------------------------------- | ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Title of Dataset**           | Name of the dataset.                                                                     | title                   | Text                                                                                                                                                                                                                                                                                                                                 |
| **Dataset URL**                | Dataset URL slug.                                                                        | name                    | Text                                                                                                                                                                                                                                                                                                                                 |
| **Description**                | Description of the dataset.                                                              | notes                   | Text                                                                                                                                                                                                                                                                                                                                 |
| **Source**                     | Entity that collected or generated the data.                                             | dataset\_source         | Text                                                                                                                                                                                                                                                                                                                                 |
| **Contributor**                | Organization that published the dataset.                                                 | organization            | Defined list. See full list of organizations on HDX here.                                                                                                                                                                                                                                                                            |
| **Time period of the dataset** | Date or date range the data covers. If ongoing, the end date is set to the current date. | dataset\_date           | Date or date range                                                                                                                                                                                                                                                                                                                   |
| **Updated**                    | Date when the dataset was last modified on HDX.                                          | last\_modified          | Date                                                                                                                                                                                                                                                                                                                                 |
| **Expected update frequency**  | How often the data is expected to be updated on HDX.                                     | data\_update\_frequency | <p>Defined list:</p><ul><li>-2: "As needed",</li><li>-1: "Never",</li><li>0: "Live",</li><li>1: "Daily",</li><li>2: "2 days",</li><li>7: "Weekly",</li><li>14: "2 weeks",</li><li>60: "2 months",</li><li>90: "3 months",</li><li>120: "4 months",</li><li>300: "10 months",</li><li>365: "Yearly",</li><li>730: "2 years"</li></ul> |
| **Location**                   | Countries or areas the dataset relates to.                                               | groups                  | Defined listSee full list of locations on HDX here                                                                                                                                                                                                                                                                                   |
| **License**                    | License governing reuse of the data.                                                     | license\_title          | Defined listSee full list of licenses used on HDX [here](https://data.humdata.org/faqs/licenses)​                                                                                                                                                                                                                                    |
| **Define license**             | Full terms when a custom license is used.                                                | license\_other          | Text                                                                                                                                                                                                                                                                                                                                 |
| **Methodology**                | How the data was collected (survey, registry, etc.).                                     | methodology             | Defined list                                                                                                                                                                                                                                                                                                                         |
| **Define methodology**         | Details when "Other" methodology is selected.                                            | methodology\_other      | Text                                                                                                                                                                                                                                                                                                                                 |
| **Caveats/Comments**           | Notes on data quality or limitations.                                                    | caveats                 | Text                                                                                                                                                                                                                                                                                                                                 |
| **Tags**                       | Keywords for search and categorization.                                                  | tags                    | See full [list of tags](https://docs.google.com/spreadsheets/d/1fTO8T8ZVXU9eoh3EIrw490Z2pX7E59MhHmCvT_cXmNs/edit?usp=sharing) on HDX​                                                                                                                                                                                                |

## Resource Metadata Schema <a href="#resource-metadata-schema" id="resource-metadata-schema"></a>

A dataset can contain multiple resources and the resource’s position is reflected in each field name (e.g. resource\_1\_created).

| **Created**              | Date when the resource was first created on HDX.                                                                                 | resource\_X\_created            | Date                                                                                                                                                             |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Resource Description** | Short description of the resource’s contents.                                                                                    | resource\_X\_description        | Text                                                                                                                                                             |
| **File Format**          | File format of the individual resource.                                                                                          | resource\_X\_format             | See full [list of formats supported](https://github.com/OCHA-DAP/hdx-ckan/blob/dev/ckanext-hdx_package/ckanext/hdx_package/config/resource_formats.json) by HDX​ |
| **Download URL**         | URL to download the file from HDX.                                                                                               | resource\_X\_download\_url      | URL                                                                                                                                                              |
| **Resource ID**          | Unique identification number for each resource on HDX.                                                                           | resource\_X\_id                 | Text                                                                                                                                                             |
| **Updated**              | Date when the resource was last modified on HDX.                                                                                 | resource\_X\_last\_modified     | Date                                                                                                                                                             |
| **Metadata Updated**     | Date metadata for the resource was last modified on HDX.                                                                         | resource\_X\_metadata\_modified | Date                                                                                                                                                             |
| **Microdata**            | Whether the resource contains microdata.                                                                                         | resource\_X\_microdata          | <p>Defined list:</p><ul><li>FALSE</li><li>TRUE</li></ul>                                                                                                         |
| **Dataset ID**           | ID of the dataset this resource belongs to.                                                                                      | resource\_X\_dataset\_id        | Text                                                                                                                                                             |
| **Resource Type**        | Indicates whether a file has been uploaded directly to HDX's servers or is a link to data stored elsewhere.                      | resource\_X\_resource\_type     | <p>Defined list:</p><ul><li>file.upload</li></ul>                                                                                                                |
| **Resource Name**        | Resource title shown on HDX.                                                                                                     | resource\_X\_name               | Text                                                                                                                                                             |
| **MIME type**            | Media type of the resource file.                                                                                                 | resource\_X\_mimetype           | Text                                                                                                                                                             |
| **Size**                 | Size of the resource in kilobytes (KB) or megabytes (MB). For files that aren’t hosted on HDX, this may not always be available. | resource\_X\_size               | Text                                                                                                                                                             |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.humdata.org/about/understanding-hdx-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
